## rampler 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(rampler)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic")
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

add_executable(rampler
    src/main.cpp
    src/sequence.cpp
    src/sampler.cpp)

if (NOT TARGET bioparser)
    add_subdirectory(vendor/bioparser EXCLUDE_FROM_ALL)
endif()

target_link_libraries(rampler bioparser)

install(TARGETS rampler DESTINATION bin)

## rampler 1.1.0

=== debian/changelog ===
rampler (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #901226)

 -- Andreas Tille <tille@debian.org>  Sun, 10 Jun 2018 11:35:12 +0200

=== debian/control ===
Source: rampler
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake,
               libbioparser-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/rampler
Vcs-Git: https://salsa.debian.org/med-team/rampler.git
Homepage: https://github.com/rvaser/rampler

Package: rampler
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: module for sampling genomic sequences
 Rampler is a module for sampling genomic sequences.  It is a
 precondition for racon.
 .
 Asked for better description in
   https://github.com/rvaser/rampler/issues/1
 .
 For the moment it is just a precondition for racon (#890187).

## rampler 1.1.1

=== debian/changelog ===
rampler (1.1.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:53 +0100

rampler (1.1.1-1) unstable; urgency=medium

  * New upstream version
    Closes: #935293
  * Enhanced description
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 05 Sep 2019 22:55:23 +0200

=== debian/control ===
Source: rampler
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               libbioparser-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/rampler
Vcs-Git: https://salsa.debian.org/med-team/rampler.git
Homepage: https://github.com/rvaser/rampler

Package: rampler
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: module for sampling genomic sequences
 Standalone module for sampling genomic sequences. It supports two modes,
 random subsampling of sequencer data to a desired depth (given the
 reference length) and file splitting to desired size in bytes.
 .
 Rampler takes as first input argument a file in FASTA/FASTQ format which
 can be compressed with gzip. The rest of input parameters depend on the
 mode of operation. The output is stored into a file(s) which is in the
 same format as the input file but uncompressed.

=== debian/watch ===
version=4

https://github.com/rvaser/rampler/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## rampler 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

project(rampler VERSION 2.0.0
                LANGUAGES CXX
                DESCRIPTION "Rampler is a tool for subsampling or splitting FASTA/Q files.")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic")
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

if (NOT TARGET bioparser)
  add_subdirectory(vendor/bioparser EXCLUDE_FROM_ALL)
endif ()
if (NOT TARGET biosoup)
  add_subdirectory(vendor/bioparser/vendor/biosoup EXCLUDE_FROM_ALL)
endif ()

add_executable(${PROJECT_NAME}
  src/main.cpp
  src/sampler.cpp)
target_link_libraries(${PROJECT_NAME}
  bioparser
  biosoup)
target_compile_definitions(${PROJECT_NAME} PRIVATE
  RAMPLER_VERSION="v${PROJECT_VERSION}")

include(GNUInstallDirs)
install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
rampler (2.0.0-2) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 11:12:53 +0200

rampler (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Refreshed patches, removed arm64.patch.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Jan 2021 07:40:24 +0100

rampler (1.1.1-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix tests on arm64 (Closes: #970341)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 01 Oct 2020 23:14:59 +0530

rampler (1.1.1-2) unstable; urgency=medium

  [ Steffen Möller ]
  * Update metadata with ref to conda
  * Update metadata - corrected conda ref - NA

  [ Pranav Ballaney ]
  * Add autopkgtests
  * Install docs
  * Add Pranav Ballaney to Uploaders
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Mon, 24 Aug 2020 14:17:07 +0530

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: rampler
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Pranav Ballaney <ballaneypranav@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libbioparser-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/rampler
 Vcs-Git: https://salsa.debian.org/med-team/rampler.git
 Homepage: https://github.com/rvaser/rampler
+Rules-Requires-Root: no
 
 Package: rampler
 Architecture: any

=== debian/watch ===
version=4

https://github.com/rvaser/rampler/releases .*/@ANY_VERSION@@ARCHIVE_EXT@

## rampler 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)

project(rampler VERSION 2.1.1
                LANGUAGES CXX
                DESCRIPTION "Rampler is a tool for subsampling or splitting FASTA/Q files.")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -pedantic")
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

include(FetchContent)
include(GNUInstallDirs)

find_package(bioparser 3.0.15 QUIET)
if (NOT bioparser_FOUND)
  FetchContent_Declare(
    bioparser
    GIT_REPOSITORY https://github.com/rvaser/bioparser
    GIT_TAG 3.0.15)

  FetchContent_GetProperties(bioparser)
  if (NOT bioparser_POPULATED)
    FetchContent_Populate(bioparser)
    add_subdirectory(
      ${bioparser_SOURCE_DIR}
      ${bioparser_BINARY_DIR}
      EXCLUDE_FROM_ALL)
  endif ()
endif ()

find_package(biosoup 0.10.0 QUIET)
if (NOT biosoup_FOUND)
  FetchContent_Declare(
    biosoup
    GIT_REPOSITORY https://github.com/rvaser/biosoup
    GIT_TAG 0.10.0)

  FetchContent_GetProperties(biosoup)
  if (NOT biosoup_POPULATED)
    FetchContent_Populate(biosoup)
    add_subdirectory(
      ${biosoup_SOURCE_DIR}
      ${biosoup_BINARY_DIR}
      EXCLUDE_FROM_ALL)
  endif ()
endif ()

add_executable(rampler
  src/main.cpp
  src/sampler.cpp)

target_link_libraries(rampler
  bioparser::bioparser
  biosoup::biosoup)

target_compile_definitions(rampler PRIVATE VERSION="${PROJECT_VERSION}")

install(TARGETS rampler DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
rampler (2.1.1-1) unstable; urgency=medium

  * Team Upload.

  [ Andreas Tille ]
  * Fix watch file
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

  [ Nilesh Patra ]
  * Refresh patch properly/adapt to new version

 -- Nilesh Patra <nilesh@debian.org>  Fri, 25 Nov 2022 17:18:44 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libbioparser-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/rampler
 Vcs-Git: https://salsa.debian.org/med-team/rampler.git
 Homepage: https://github.com/rvaser/rampler

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/rvaser/rampler/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
